=== debian/changelog ===
broccoli-ruby (1.58-2build3) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:14:14 +0000

broccoli-ruby (1.58-2build2) xenial; urgency=medium

  * No-change rebuild to add ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 12:34:20 +0000

broccoli-ruby (1.58-2build1) xenial; urgency=medium

  * No-change rebuild to drop ruby2.1 support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2016 11:23:56 +0000

broccoli-ruby (1.58-2) unstable; urgency=medium

  * Mention setup.rb in copyright

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Nov 2015 18:37:08 +0100

broccoli-ruby (1.58-1) unstable; urgency=low

  * Initial release (Closes: #803572)

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Oct 2015 13:40:46 +0100
