=== debian/control ===
Source: broccoli-ruby
Section: ruby
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 gem2deb,
 libbroccoli-dev,
 ruby-all-dev,
 swig,
Standards-Version: 3.9.6
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli-ruby.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli-ruby.git;a=summary

Package: ruby-broccoli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Ruby extension for Broccoli
 This package provides a Ruby extension for Broccoli, Bro's client
 communication library. In general, the bindings provide the same
 functionality as Broccoli's C API.
