=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/release/broccoli-ruby-(\d.*)\.tar\.gz
