## broccoli-ruby 1.60

=== debian/changelog ===
broccoli-ruby (1.60-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Update Standards-Version
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:51:06 +0100
