=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libbroccoli-dev,
  ruby-all-dev,
  swig,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli-ruby.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli-ruby.git;a=summary
