=== debian/changelog ===
broccoli-ruby (1.61-1build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:11 +0000

broccoli-ruby (1.61-1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:43 +0000

broccoli-ruby (1.61-1) unstable; urgency=medium

  * New upstream version 1.61

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:43:59 +0200
