=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: broccoli-ruby
 Section: ruby
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9), cmake,
  gem2deb,
  libbroccoli-dev,
