=== debian/changelog ===
broccoli-ruby (1.62-1) unstable; urgency=medium

  * New upstream version 1.62
  * Bump Debhelper compat level
  * Update Vcs-* headers after migration to salsa.debian.org
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 Feb 2019 09:12:48 +0100
