=== debian/control ===
Source: broccoli-ruby
Section: ruby
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12~), cmake,
 gem2deb,
 libbroccoli-dev,
 ruby-all-dev,
 swig,
Standards-Version: 4.3.0
Homepage: http://www.bro.org/
Vcs-Git: https://salsa.debian.org/debian/broccoli-ruby.git
Vcs-Browser: https://salsa.debian.org/debian/broccoli-ruby

Package: ruby-broccoli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Ruby extension for Broccoli
 This package provides a Ruby extension for Broccoli, Bro's client
 communication library. In general, the bindings provide the same
 functionality as Broccoli's C API.
