=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/broccoli-ruby-(\d.*)\.tar\.gz
